Subject: apology latter
From: Shadab Ahamad <[email-masked]>
To: Ashish Dabral <[email-masked]>
Cc: Seeta Seeta <[email-masked]>, Saurabh Agarwal <[email-masked]>
Date: Sat, 30 May 2020 23:58:00 -0700 (MST)

Date 31/05/2020 

To 
Ashish 

Dear Sir 

Subject: Apology Letter for Bad Behavior 

I would like to sincerely apologize for my behavior on (30/05/2020). I am sorry for what I did yesterday. I acted in a bad way and this was embarrassing to the entire organization. 

I acknowledge that I was wrong, and I promise this event will not happen again. Next time I find myself in such a situation, I promise to be slow to take any action and think over things before takign any action. 

I look forward to a good working environment at all times. I hope you can forgive me. 

Thanking you 

Yours sincerely, 
shadab ahamad